package com.titan.customer;

import javax.ejb.EntityContext;
import java.util.Date;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import sequencegenerator.SequenceSessionLocalHome;
import sequencegenerator.SequenceSessionLocal;

public abstract class CreditCardBean implements javax.ejb.EntityBean {
    private sequencegenerator.SequenceSessionLocalHome seqHome = null;
    private sequencegenerator.SequenceSessionLocal  seqLocal = null;

    public Object ejbCreate(Date exp, String numb, String name, String org) 
	throws javax.ejb.CreateException {


	setExpirationDate(exp);
	setNumber(numb);
	setNameOnCard(name);
	setCreditOrganization(org);
        int id = seqLocal.getNextNumberInSequence("CreditCard");
	System.out.println("CreditCardBean ejbCreate name= "+name+"ID = "+id);
	setId(new Integer(id));
	return null;
    }

    public void ejbPostCreate(Date exp, String numb, String name, String org) {
	System.out.println("ejbPostCreate");
    }

	// relationship fields

    public abstract CustomerLocal getCustomer( );	
    public abstract void setCustomer(CustomerLocal cust);	

    // persistent fields


    public abstract Integer getId();
    public abstract void setId(Integer id);
    public abstract Date getExpirationDate();
    public abstract void setExpirationDate(Date date);
    public abstract String getNumber();
    public abstract void setNumber(String number);
    public abstract String getNameOnCard();
    public abstract void setNameOnCard(String name);
    public abstract String getCreditOrganization();
    public abstract void setCreditOrganization(String org);

    // standard call back methods
    
    public void setEntityContext(EntityContext ec){
	try {
	    InitialContext cntx = new InitialContext( );
	    SequenceSessionLocalHome  seqHome  = 
		    (SequenceSessionLocalHome)cntx.lookup("java:comp/env/ejb/SequenceSessionLocalHome");
	    seqLocal = seqHome.create();
	} catch(Exception e) {
	    throw new javax.ejb.EJBException(e);
	}
    }
    public void unsetEntityContext(){}
    public void ejbLoad(){}
    public void ejbStore(){}
    public void ejbActivate(){}
    public void ejbPassivate(){}
    public void ejbRemove() throws javax.ejb.RemoveException{}

}
